/*---디폴트셋팅----*/
@import url(http://fonts.googleapis.com/earlyaccess/notosanskr.css);

body, ul, h1, h2, h3, p {
    margin: 0;
    padding: 0;
    font-weight: normal;
    font-family: 'Noto Sans KR', sans-serif;
    font-size: 100%;
    color: #464646;
}

li {
    list-style-type: none;
}

a {
    color: #999;
    text-decoration: none !important;
}

img {
    vertical-align: bottom;
}

/*---여기서부터 기본 CSS----*/

.wrapper {
    width: 100%;
    margin: 0 auto;
    
}

.menu_txt {
    font-size: 14px;
}

/*---여기서부터 header 메뉴----*/

.header {
    width: 100%;
    height: auto;
}

.menu {
    width: 100%;
    overflow: hidden;
}

.menu li {
    float: left;
}

.menu li a {
    display: inline-block;
    width: 100px;
    padding: 20px;
    line-height: 20px;
    color: grey;
    text-align: center;
    font-size: 16px;
    font-weight: bold;
}

.menu li a:hover {
    color: #0172ff
}

.menu .logo {
    width: 153px;
    background-image: url(../img/logo.png);
    background-position: center;
    background-repeat: no-repeat;
    text-indent: -9999px;
}

.menu_mobile {
    display: none;
}

/*----여기서부터 Portfolio Grid----*/

.grid {
    overflow: hidden;
}

.grid li {
    width: 30%;
    height: 320px;
    box-shadow: 2px 2px 6px lightgray;
    float: left;
    margin: 10px;
    border: 6px solid #fff;
    position: relative;
}

.grid li:hover {
    border: 6px solid #0172ff;
    transition: all 0.5s;
}

.grid .thumb {
    margin: 20px;
}

.grid .tag {
    width: 30%;
    height: 20px;
    text-align: center;
    background-color: #1599d7;
    border-radius: 100px;
    font-size: 10px;
    color: #ffffff;   
    
}

.grid .thumb li img {
    width: 100%;
}

.grid .category {
    width: 50px;
    height: 50px;
    border-radius: 100px;
    color: #fff;
    font-size: 20px;
    font-weight: bold;
    text-align: center;
    line-height: 50px;
    background-color: #0172ff;
    position: absolute;
    top: 5px;
    left: 5px;
}

.grid .thumb_title {
    padding: 10px;
    font-size: 15px;
    font-weight: 400;
    color: #464646;
}



/*----여기서부터 Portfolio 상세 페이지----*/

.detail {
    width: 100%;
    margin: 10 auto;
    position: relative;
}

.detail .detail_info {
    width: 70%;
    padding: 10px;
}

.detail_info_pic {
    width: 70%;
    margin: 20px auto;
}

.detail_info_pic_02 {
    width: 50%;
    margin: 20px auto;
}

.detail .detail_info .txt_big {
    font-size: 24px;
    font-weight: 500;
}

.detail .detail_info li {
    padding: 10px;
    font-size: 14px;
}

.detail .detail_info img {
    border: 1px solid #cccccc;
    width: 100%;
}

.detail .detail_info .skin{
    border: 0px;
    width: 100%;
}

.detail .detail_info .mobile{
    border: 1px solid #cccccc;
    width: 90%;
    display: block;
}

.detail .detail_info .txt_small {
    color: #636363;
    font-size: 14px;
    font-weight: normal;
}


.detail .project {
    width: 20%;
    margin: 0 auto;
    background-color: #ebebeb;
    padding: 20px;
    position: absolute;
    top: 0;
    left: 72%;
    font-size: 14px;
}

.detail .project .txt_mid {
    font-size: 20px;
    font-weight: bold;
    color: #000000;
}

.detail .project .txt_mid .link {
    font-size: 100px;
    font-weight: normal;
    color: #d1d1d1;
}

.detail .project li {
    padding: 10px;
    border-bottom: 1px solid #cccccc;
}

.detail .project li:last-child {
    border-bottom: 0;
}

/*----여기서부터 About Me----*/

.about {
    width: 100%;
    font-size: 14px;
}

.about .about_title {
    width: 100%;
    height: auto;
    padding: 10px;
    margin: auto;
}

.about .about_title li {
    padding: 6px;
}

.about_big {
    font-size: 36px;
    font-weight: bold;
    color: #000000;
}

.about_mid {
    font-size: 20px;
    font-weight: bold;
    color: #7d7d7d;
}

.about_link {
    font-size: 14px;
    font-weight: 200;
    color: #0172ff;
}

.about .about_graphic {
    width: 100%;
    overflow: hidden;
}

.about .graphic_box {
    padding: 10px;
}

.about .about_graphic li {
    width: 33.333%;
    height: 280px;
    float: left;
}

.about .about_skills {
    width: 100%;
    overflow: hidden;
}

.about .about_skills li {
    width: 33.333%;
    height: 160px;
    float: left;
}

/*----여기서부터 메일----*/

.mail_box {
    width: 500px;
    margin: 10px 0px 10px;
    border: 1px solid black;
    padding: 20px;
}

/*----여기서부터 푸터----*/

.footer {
    width: 100%;
    margin: 60px auto;
}

.footer li {
    width: 40%;
    padding: 20px;
    float: left;
}

.footer .copyrights {
    font-size: 12px;
}

.footer .subtitle {
    font-size: 18px;
    font-weight: bold;
    color: #464646;
}

.footer .sns {
    
}

.footer .sns a {
    display: block;
    padding: 6px;
    font-size: 14px;
    color: #464646;
}

.footer .contact {
    font-size: 12px;
}

.footer .contact .contact_info {
    padding: 2px;
}

/*-------- 여기서 부터 반응형 --------*/

/* Large Desktop */
@media all and (min-width:1140px) {
    /* 너비가 1140보다 클때 실행되는 css */
    .wrapper {
        max-width: 1200px;
    }
}

/* Desktop */
@media all and (max-width:1024px) {
    /* 너비가 1024보다 작을때 실행되는 css */
    .wrapper {
        max-width: 100%;
    }
    
    .grid li {
        width: 30%;
        float: left;
        margin: 4px;
        border: 6px solid #fff;
        position: relative;
    }
    
    .detail .project {
        width: 20%;
        margin: 0 auto;
        background-color: ebebeb;
        padding: 20px;
        position: absolute;
        top: 0;
        left: 72%;
    }
}

/* Tablet */
@media all and (max-width: 768px) {
    /* 너비가 768보다 작을때 실행되는 css */
    .wrapper {
        max-width: 100%;
    }
 
    .header {
    width: 100%;
    height: 100px;
    border-bottom: 1px solid #eaeaea;
    }
    
    .menu li a {
        display: none;
    }
    
    .menu_mobile {
        display: inline-block;
        width: 90%;
        height: 80px;
        background-image: url(../img/logo.png);
        background-repeat: no-repeat;
    }
    
    .menu_mobile li {
        width: 30%;
        margin-top: 50px;
        color: grey;
        text-align: center;
        float: left;    
    }
    
    .menu_mobile li a {
        height: 80px;
        font-size: 18px;
        padding: 10px;
        font-weight: bold;
    }
    
    .grid li {
        width: 45%;
        float: left;
        margin: 4px;
        border: 6px solid #fff;
        position: relative;
}
    
    .footer li {
        width: 80%;
        float: none;
    }      
    
    .detail .project {
        display: none;
    }
    
    .detail .detail_info {
        width: 100%;
        padding: 10px;
    }
    
    .about .about_graphic li {
    width: 50%;
    height: 360px;
    float: left;
    }
    
    .about .about_skills li {
    width: 50%;
    height: 200px;
    float: left;
    }   
    
}

/* Mobile */
@media all and (max-width: 480px) {
    /* 너비가 480보다 작을때 실행되는 css */
   .wrapper {
        max-width: 100%;
    }
    
    .header {
        width: 100%;
        height: 100px;
        border-bottom: 1px solid #eaeaea;
    }
    
    
    .grid li {
        width: 90%;
        float: none;
        margin: 10px;
        border: 6px solid #fff;
        position: relative;
    }
    
    .detail .project {
        display: none;
    }
    
    .detail .detail_info {
        width: 100%;
        padding: 10px;
    }
    
    
    .footer li {
        float: none;
    }

    .detail .project {
        display: none;
    }
    
    .detail .detail_info {
        width: 100%;
        padding: 10px;
    }
    
    .about .about_graphic li {
    width: 100%;
    height: 300px;
    float: none;
    }
    
    .about .about_skills li {
    width: 100%;
    height: 200px;
    float: none;
    }   
    
}

